Bug 882512 - Review Request: plasma-widget-menubar - Show window menubars
Review Request: plasma-widget-menubar - Show window menubars
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Neil Horman
Fedora Extras Quality Assurance
: Reopened
Depends On: appmenu-qt
Blocks: kde-reviews
  Show dependency treegraph
 
Reported: 2012-12-01 10:29 EST by Mario Blättermann
Modified: 2013-01-11 20:02 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-11 20:02:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
nhorman: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Mario Blättermann 2012-12-01 10:29:50 EST
Spec URL: http://mariobl.fedorapeople.org/Review/SPECS/plasma-widget-menubar.spec
SRPM URL: http://mariobl.fedorapeople.org/Review/SRPMS/plasma-widget-menubar-0.1.18-1.fc18.src.rpm
Description: A Plasma widget to display the menubar of application windows.
Fedora Account System Username: mariobl
Comment 1 Mario Blättermann 2012-12-07 13:42:12 EST
I set this request to NotReady. Well, it is actually ready, but I want to package libdbusmenu and appmenu-gtk first, to make sure to have a complete global menu bar, not only for the Plasma desktop. Perhaps I try to package Unity-2D, which could be a more convenient solution for non-KDE users. I don't use KDE, and for the time being I run plasma-desktop under Xfce, but that's not really fine. However, once appmenu-qt has been approved (bug #882508) and someone wants to maintain plasma-widget-menubar, feel free to do so. Otherwise, I will maintain it, but once we have another solution (like the mentioned Unity-2D) I will probably orphan it.
Comment 2 Mario Blättermann 2012-12-08 16:41:08 EST
libdbusmenu is currently under review (bug #842509) and actually approved, so that I assume I can continue on this package in the nearest future.
Comment 3 Kevin Kofler 2012-12-08 17:16:25 EST
FYI, Unity 2D is dead, discontinued by upstream (Canonical). It relies on QML, and QML will require OpenGL in Qt 5, which defeats the purpose of Unity 2D. So now I think the fallback plan is the normal (3D) Unity on llvmpipe. In any case, they dropped support for Unity 2D already.

I also don't see how it would be any more convenient for non-Unity users than plasma-widget-menubar is for non-Plasma users. You have to switch to Unity to use it, just like you have to switch to Plasma to use any plasma-widget-*.
Comment 4 Mario Blättermann 2012-12-09 12:02:54 EST
(In reply to comment #3)
> FYI, Unity 2D is dead, discontinued by upstream (Canonical). It relies on
> QML, and QML will require OpenGL in Qt 5, which defeats the purpose of Unity
> 2D. So now I think the fallback plan is the normal (3D) Unity on llvmpipe.
> In any case, they dropped support for Unity 2D already.
>
> I also don't see how it would be any more convenient for non-Unity users
> than plasma-widget-menubar is for non-Plasma users. You have to switch to
> Unity to use it, just like you have to switch to Plasma to use any
> plasma-widget-*.

Oh, I wasn't aware of this... I thought the qt based 2d version will remain as a fallback solution, but it seems to go the same way as the fallback mode in gnome3. In unity-2d it was obviously possible to run the panel only, while dropping the dash and probably some other stuff. The native 3d version doesn't have this feature, so that is no real solution for Xfce users.

BTW, probably I will switch from Xfce to KDE within the next months. I have never thought about this, but assuming KDE is at least as configurable as Xfce (and shrinkable, if needed), I could imagine that step. So I remove the "NotReady" tag now. If someone has time left for a review, please do it. The dependency appmenu-qt is built for f18 and rawhide now and the latter should be available soon for a Koji scratch build.
Comment 5 Neil Horman 2012-12-20 13:58:21 EST
[nhorman@shamino SRPMS]$ rpmlint -i -v plasma-widget-menubar-0.1.18-1.fc18.src.rpm

plasma-widget-menubar.src: I: checking
plasma-widget-menubar.src: W: spelling-error Summary(en_US) menubars -> menu bars, menu-bars, menswear
The value of this tag appears to be misspelled. Please double-check.
                                                                                                                                                                                                                                             
plasma-widget-menubar.src: I: checking-url http://launchpad.net/plasma-widget-menubar/ (timeout 10 seconds)                                                                                                                                  
plasma-widget-menubar.src: I: checking-url https://launchpad.net/plasma-widget-menubar/trunk/0.1.18/+download/plasma-widget-menubar-0.1.18.tar.bz2 (timeout 10 seconds)                                                                      
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

I wouldn't worry about the spelling error, I think rpmlint is overly sensitive about that anyway.

I'll do a line item check in the morning
Comment 6 Neil Horman 2012-12-21 11:06:42 EST
MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.[1] 
check

MUST: The package must be named according to the Package Naming Guidelines .
check

MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption. [2] .
check
 
MUST: The package must meet the Packaging Guidelines .
check

MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
check

MUST: The License field in the package spec file must match the actual license. [3]
check

MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.[4]
check

MUST: The spec file must be written in American English. [5]
check

MUST: The spec file for the package MUST be legible. [6]
check

MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use sha256sum for this task as it is used by the sources file once imported into git. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
check

MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture. [7]
http://koji.fedoraproject.org/koji/taskinfo?taskID=4811381
check

MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line. [8]
N/A

MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
check

MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.[9]
no language files (N/A)

MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun. [10]
NAK, need to run ldconfig in post and postun

MUST: Packages must NOT bundle copies of system libraries.[11]
check

MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker. [12]
check

MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory. [13]
check

MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)[14]
check

MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. [15]
check

MUST: Each package must consistently use macros. [16]
check

MUST: The package must contain code, or permissable content. [17]
check

MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity). [18]
check

MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present. [18]
check

MUST: Static libraries must be in a -static package. [19]
N/A

MUST: Development files must be in a -devel package. [20]
N/A

MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release} [21]
N/A

MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.[19]
N/A

MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation. [22]
check

MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time. [23]
check

MUST: All filenames in rpm packages must be valid UTF-8. [24]
check


Fix up the ldconfig thing and I think you're good to go.
Comment 7 Mario Blättermann 2012-12-21 15:59:14 EST
(In reply to comment #6)
> MUST: Every binary RPM package (or subpackage) which stores shared library
> files (not just symlinks) in any of the dynamic linker's default paths, must
> call ldconfig in %post and %postun. [10]
> NAK, need to run ldconfig in post and postun

OK, here are the new files:
Spec URL: http://mariobl.fedorapeople.org/Review/SPECS/plasma-widget-menubar.spec
SRPM URL: http://mariobl.fedorapeople.org/Review/SRPMS/plasma-widget-menubar-0.1.18-2.fc18.src.rpm
Comment 8 Neil Horman 2012-12-23 14:12:01 EST
ACK, looks good!  Thanks!
Comment 9 Mario Blättermann 2012-12-23 16:39:47 EST
Thanks for your review!

New Package SCM Request
=======================
Package Name: plasma-widget-menubar
Short Description: Show window menubars
Owners: mariobl
Branches: f18
Comment 10 Kevin Kofler 2012-12-23 20:31:36 EST
IMHO, "menu bars", not "menu bars" is the correct spelling. (But then again I'm a pedant. ;-) )
Comment 11 Kevin Kofler 2012-12-23 20:32:18 EST
Oops, that didn't make much sense. ;-) Let's try again:

IMHO, "menu bars", not "menubars", is the correct spelling. (But then again I'm a pedant. ;-) )
Comment 12 Jon Ciesla 2012-12-24 09:04:19 EST
Git done (by process-git-requests).
Comment 13 Kevin Kofler 2012-12-25 13:00:49 EST
Huh? Neil Horman, why did you close this as NOTABUG? The package was already approved and the git module created.
Comment 14 Neil Horman 2012-12-25 19:39:29 EST
sorry, I was closing it specifically because its git scm work was completed.  I know the contributor normally closes it, but I was cleaning up my bug list for the holidays and I figured it didn't matter which one of us closed it.  The NOTABUG was just a fat finger on my part, sorry.
Comment 15 Fedora Update System 2012-12-26 17:16:51 EST
plasma-widget-menubar-0.1.18-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/plasma-widget-menubar-0.1.18-2.fc18
Comment 16 Mario Blättermann 2012-12-26 17:23:31 EST
(In reply to comment #14)
> sorry, I was closing it specifically because its git scm work was completed.
> I know the contributor normally closes it, but I was cleaning up my bug list
> for the holidays and I figured it didn't matter which one of us closed it. 
> The NOTABUG was just a fat finger on my part, sorry.

In almost all cases I use the automatism in Bodhi which closes the bug once the package(s) are stable. No need to close it manually before the status is ON_QA. It could be insufficient to recognize it as resolved once the Git repo has been created. Imagine, some review-related issues come up during the build process... I don't like this way to clean up one's bug list.
Comment 17 Neil Horman 2012-12-26 20:53:33 EST
Well, then you did just the right thing by reopening it didn't you?  You dont have to get bent out of shape over it.

Speaking of open, I've had new spec and srpm files posted in bz 884291 for a few days now.
Comment 18 Kevin Kofler 2012-12-27 11:55:34 EST
Since we're being pedantic, the correct status for a bug with a pending, not-yet-pushed update filed is MODIFIED, not ASSIGNED. :-)
Comment 19 Mario Blättermann 2012-12-27 12:01:44 EST
(In reply to comment #18)
> Since we're being pedantic, the correct status for a bug with a pending,
> not-yet-pushed update filed is MODIFIED, not ASSIGNED. :-)

OK, you're right ;) Usually I let Bodhi do this job, but in this case ...
Comment 20 Fedora Update System 2012-12-27 15:52:42 EST
plasma-widget-menubar-0.1.18-2.fc18 has been pushed to the Fedora 18 testing repository.
Comment 21 Fedora Update System 2013-01-11 20:02:36 EST
plasma-widget-menubar-0.1.18-2.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.